TextToSpeechSync(3dtk)

Name

TextToSpeechSync - Blocks until all previously queued text is processed.

Syntax
    MMRESULT TextToSpeechSync (LPTTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function blocks until all previously queued text is processed. TextToSpeechSync() automatically resumes audio output if the text-to-speech system was placed in a paused state by TextToSpeechPause().

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_ERROR
 | Unable to complete queued text.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechPause(3dtk)